/* osgCompute - Copyright (C) 2008-2009 SVT Group
 *                                                                     
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 3 of
 * the License, or (at your option) any later version.
 *                                                                     
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesse General Public License for more details.
 *
 * The full license is in LICENSE file included with this distribution.
*/

varying vec2 texcoord;

void main(void)
{
    texcoord = gl_Vertex.xz + vec2(0.5,0.5);

    vec4 position;
    position.x = gl_Vertex.x;
    position.y = gl_Vertex.y;
    position.z = gl_Vertex.z;
    position.w = 1.0;
 
    gl_Position     = gl_ModelViewProjectionMatrix * position;
}

